Zum Hauptinhalt springen
POST
/
knowledgeSource
/
websiteConnector
Create a website connector
curl --request POST \
  --url https://demo.enneo.ai/api/mind/knowledgeSource/websiteConnector \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://example.com",
  "name": "Example Website",
  "parent": 0,
  "maxPages": 50,
  "frequency": "weekly",
  "description": "<string>",
  "includePaths": [
    "<string>"
  ],
  "excludePaths": [
    "<string>"
  ]
}
'
{
  "success": true,
  "id": 42
}

Autorisierungen

Authorization
string
header
erforderlich

JWT-based authentication

Body

application/json
url
string
erforderlich

The URL to crawl

Beispiel:

"https://example.com"

name
string

Display name for the connector. Defaults to the hostname of the URL.

Beispiel:

"Example Website"

parent
integer

Parent folder ID in knowledge source structure

Beispiel:

0

maxPages
integer
Standard:100

Maximum number of pages to crawl

Beispiel:

50

frequency
enum<string>
Standard:weekly

Crawl frequency

Verfügbare Optionen:
daily,
weekly
description
string

Description of the connector

includePaths
string[]

URL path patterns to include

excludePaths
string[]

URL path patterns to exclude

Antwort

Created

success
boolean
Beispiel:

true

id
integer

ID of the created connector

Beispiel:

42